import Store from 'electron-store';

const store = new Store({
  defaults: {
    showDrageWindow: true // 默认显示悬浮窗口
  }
});

export const getStore = () => store;


export const deleteStore = (key) => {
  store.delete(key);
};

export const setStoreValue = (key, value) => {
  store.set(key, value);
};

export const getStoreValue = (key) => {
  return store.get(key);
};

export function clearStore() {
  store.clear();
}
